# $Revision: 1.7 $, $Date: 2005/11/26 00:41:52 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Musepack decoding library
Summary(pl):	Biblioteka do dekodowania formatu musepack
Name:		libmpcdec
Version:	1.2.2
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://files2.musepack.net/source/%{name}-%{version}.tar.bz2
# Source0-md5:	f14e07285b9b102a806649074c1d779b
URL:		http://www.musepack.net/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
Obsoletes:	libmusepack
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library handles decoding of the MPC format, which is an audio
compression format with a strong emphasis on high quality. It's not
lossless, but it is designed for transparency, so that you won't be
able to hear differences between the original wave file and the much
smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2 algorithms,
but since 1997 it has rapidly developed and vastly improved and is now
at an advanced stage in which it contains heavily optimized and
patentless code.

%description -l pl
Ta biblioteka obsuguje dekodowanie formatu MPC, ktry jest formatem
kompresji dwiku z naciskiem na wysok jako. Nie jest bezstratny,
ale jest zaprojektowany dla przezroczystoci tak, e nie mona
usysze rnicy midzy oryginalnym plikiem wave a duo mniejszym
plikiem MPC. Jest oparty na algorytmach MPEG-1 Layer-2 / MP2, ale od
1997 roku zosta znacznie rozwinity i ulepszony, a teraz jest w
zaawansowanym stadium, w ktrym zawiera silnie zoptymalizowany i nie
objty patentami kod.

%package devel
Summary:	Header files for libmpcdec
Summary(pl):	Pliki nagwkowe do biblioteki libmpcdec
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libmusepack-devel

%description devel
Header files for libmpcdec.

%description devel -l pl
Pliki nagwkowe do biblioteki libmpcdec.

%package static
Summary:	Static version of the libmpcdec library
Summary(pl):	Statyczna wersja biblioteki libmpcdec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libmusepack-static

%description static
Static version of the libmpcdec library.

%description static -l pl
Statyczna wersja biblioteki libmpcdec.

%package examples
Summary:	Example of using libmpcdec with documentation
Summary(pl):	Przykad uycia libmpcdec z dokumentacj
Group:		Documentation

%description examples
Example of using libmpcdec with documentation.

%description examples -l pl
Przykad uycia libmpcdec z dokumentacj.

%prep
%setup -q

%build
%{?debug:%{__sed} -i -e "s,-O3 -fomit-frame-pointer,,g" configure.ac}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/sample.cpp $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libmpcdec.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpcdec.so
%{_libdir}/libmpcdec.la
%{_includedir}/mpcdec

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmpcdec.a
%endif

%files examples
%doc docs/html
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmpcdec.spec,v $
Revision 1.7  2005/11/26 00:41:52  charles
- added bcond_without static_libs
- BR: sed >= 4.0

Revision 1.6  2005/11/06 19:58:44  blekot
- up to 1.2.2
- new source url

Revision 1.5  2005/09/11 12:09:30  wolf
- 1.2.1

Revision 1.4  2005/05/31 19:12:02  qboosh
- more Obsoletes for libmusepack

Revision 1.3  2005/05/31 19:08:46  qboosh
- pl, unified

Revision 1.2  2005/05/26 11:40:56  djurban
- remove framepoitner so in debug so it can be debugged in ac
- example's group set to Documentation

Revision 1.1  2005/05/25 19:24:39  djurban
- initial version 1.2
- obsolets libmusepack, didnt do the cvs mv since i rewrote the spec from scratch
- need to check the examples group, maybe Documentation?
- for debug build remove only -O3, with gcc4 and location lists -fomitfp doesnt
  break debug builds
- docs in examples subpackage (no need to mess devel with apidocs,
  some who will want to learn the api will install the exampes pkg anyway)
